{% extends '@SonataAdmin/standard_layout.html.twig' %}

{% block stylesheets %}
    {{ parent() }}

    {{ encore_entry_link_tags('base') }}
{% endblock %}

{% block sonata_javascript_pool %}
    {{ parent() }}

    {{ encore_entry_script_tags('base') }}
{% endblock %}

{% block sonata_admin_content %}

    {% block notice %}
        {% include ['@SonataCore/FlashMessage/render.html.twig', '@SonataTwig/FlashMessage/render.html.twig'] %}
    {% endblock notice %}

    {% if _preview is not empty %}
        <div class="sonata-ba-preview">{{ _preview|raw }}</div>
    {% endif %}

    {% if _content is not empty %}
        <div class="sonata-ba-content">{{ _content|raw }}</div>
    {% endif %}

    {% if _show is not empty %}
        <div class="sonata-ba-show">{{ _show|raw }}</div>
    {% endif %}

    {% if _form is not empty %}
        <div class="sonata-ba-form">{{ _form|raw }}</div>
    {% endif %}

    {% if _list_filters is not empty %}
        <div class="row">
            {{ _list_filters|raw }}
        </div>
    {% endif %}

    {% if _list_table is not empty %}
        <div class="row">
            <div class="col-xs-12 col-md-12">
                <div class="box box-info">
                    <div id="vis-root" data-props="{{ fetchData(datagrid) | json_encode }}"></div>
                </div>
            </div>
        </div>
        <div class="row">

        </div>
    {% endif %}

    {% if _list_table is not empty %}
        <div class="row">
            {{ _list_table|raw }}
        </div>
    {% endif %}
{% endblock sonata_admin_content %}
